<head>
    <meta charset="UTF-8">
    <title>MNC NOW</title>
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="google-site-verification" content="MU1SEKOh4hqPEsvAbaq6jq517rVPPMu3oC3gVJGuu7U" />
    <meta name="title" content="MNC Now Movies">
    <!-- <meta name="keywords" content="okezone, layar tancap, mncnow, mnc now, sinetron, now, tonton film, ftv, film indonesia, free, ott, broadcast, mnc"> -->
    <!-- <meta name="description" content="Nonton ratusan film pilihan dari Indonesia, Hollywood dan Asia. Film lepas, series, sinetron, drakor dan animasi hanya di MNC Now"> -->
    <meta name="description" content="Testing - Fairplay with Library Nexplayer at MNC Production">
    <meta name="author" content="MNCNow.id">
    <meta name="viewport" content="initial-scale=1, maximum-scale=1">  
    <link rel="shortcut icon" href="img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="img/favicon.ico" type="image/x-icon">

    <!-- Global site tag (gtag.js) - Google Analytics -->
    <!-- <script async src="https://www.googletagmanager.com/gtag/js?id=UA-111351533-8"></script>
    <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());

    gtag('config', 'UA-111351533-8');
    </script> -->

    <!-- Begin comScore Tag -->
    <!-- <script>
        var _comscore = _comscore || [];
        _comscore.push({ c1: "2", c2: "33003457" });
        (function() {
        var s = document.createElement("script"), el = document.getElementsByTagName("script")[0]; s.async = true;
        s.src = (document.location.protocol == "https:" ? "https://sb" : "http://b") + ".scorecardresearch.com/beacon.js";
        el.parentNode.insertBefore(s, el);
        })();
    </script> -->
    <!-- <noscript>
        <img src="https://sb.scorecardresearch.com/p?c1=2&c2=33003457&cv=2.0&cj=1" />
    </noscript> -->
    <!-- End comScore Tag -->
    <!-- <script src='nexplayer.js'></script> -->
    <script src='https://visionplus.id/statics/js/nexplayer.js'></script>
    <!-- <script src='js/nexplayer/nexplayer.js'></script> -->
    <!-- <script src='https://okezone.mncnow.id/js/nexplayer/nexplayer.js'></script> -->

</head>
<body>
    <div id="player" style="margin: 0; width: 100%; height: 100%;" webkit-playsinline="webkit-playsinline" x-webkit-airplay="allow" crossorigin="anonymous">
     <!-- <script src='../nexplayer.nexplayersdk.com/latest/nexplayer.js'></script> -->
     <!-- <script src='https://nexplayer.nexplayersdk.com/latest/nexplayer.js'></script> -->
     <!-- <script src='https://nexplayer.nexplayersdk.com/MNC/nexplayer.js'></script> -->
    <!-- <script src='nexplayer.js'></script> -->
    <script>
        // We need to obtain the player instance to call some method when the licese is requested
        var player = null;

        var videoElem = null;

        function getQueryStrings() { 
          var assoc  = {};
          var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
          var queryString = location.search.substring(1); 
          var keyValues = queryString.split('&'); 

          for(var i in keyValues) { 
            var key = keyValues[i].split('=');
            if (key.length > 1) {
              assoc[decode(key[0])] = decode(key[1]);
            }
          } 

          return assoc;
        } 
        var qs = getQueryStrings();
        var myParamURL = qs["url"];
        var myParamIMG = qs["img"];
        var myParamVast = qs["vast"];
        // myParamURL = myParamURL.replace("_vmx","");

        // First get the player instance to call the necessary methods when the license is requested
        var player = null;

        // FairPlay Utility
        function base64EncodeUint8Array(input) {
        var keyStr = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
        //  var keyStr = "cdd9eab3335c9abd97e27d89852d8ee5";
        var output = "";
        var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
        var i = 0;

        while (i < input.length) {
            chr1 = input[i++];
            chr2 = i < input.length ? input[i++] : Number.NaN; // Not sure if the index
            chr3 = i < input.length ? input[i++] : Number.NaN; // checks are needed here

            enc1 = chr1 >> 2;
            enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
            enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
            enc4 = chr3 & 63;

            if (isNaN(chr2)) {
                enc3 = enc4 = 64;
            } else if (isNaN(chr3)) {
                enc4 = 64;
            }
            output += keyStr.charAt(enc1) + keyStr.charAt(enc2) +
                keyStr.charAt(enc3) + keyStr.charAt(enc4);
        }
        return output;
        }

        // Request the license at the NexPlayer callback
        function licenseRequestReady (event) {
        var session = event.target;
        var message = event.message;
        var request = new XMLHttpRequest();
        var sessionId = event.sessionId;
        request.responseType = 'text';
        request.session = session;
        request.addEventListener('load', player.FairPlayNexLicenseRequestLoaded.bind(player), false);
        request.addEventListener('error', player.FairPlayNexLicenseRequestFailed.bind(player), false);
        // var params = 'spc='+base64EncodeUint8Array(message)+'&assetId='+encodeURIComponent(session.contentId);
        // var params = 'spc='+ base64EncodeUint8Array(message);
        var params = 'spc=' + encodeURIComponent(base64EncodeUint8Array(message));
        console.log(params)
        request.open('POST', 'https://fpsa.ptmnc01.verspective.net:443/fpsa/v1.0/?deviceId=NjExZWU4OTctOTdiZS0zOTQ0LWE3Y2UtYTIxZWVmODBlNjEz', true); // serverProcessSPCPath
        request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
        // request.setRequestHeader("dt-custom-data", "Optional license token");
        request.send(params);
        }

        var callBackWithPlayers = function (nexplayerInstance, videoElement) {
            player = nexplayerInstance;
        }

        var nexDRMInformationFairPlay = {NexDRMType:'com.apple.fps.1_0', NexDRMKey: 'https://nex360.s3.amazonaws.com/MNC/fairplay-cnm.cer', NexCallback: licenseRequestReady};

        nexplayer.Setup({
            key: '5c1cad9120bbb10718187352',
            div: document.getElementById('player'),
            src: myParamURL, // Optional
            poster: myParamIMG, // Optional
            name: 'MNC Now', // Optional
            autoplay: true, // Optional
            mutedAtStart: true, // Optional
            useDynamicThumbnails: true, // Optional
            disableKeyEvents : true,
            callbacksForPlayer: callBackWithPlayers,
            drm: [nexDRMInformationFairPlay],
            vast: myParamVast,
            cast: {}, //Optional,
            debug: true, // Optional
            staticThumbnailsImage: myParamIMG, // Optional
            staticThumbnailsVTT: myParamIMG, // Optional
            seekUI: 10 // Seconds for the seek buttons, Optional
        });

     </script>
    </div>
</body>
</html>